// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming

@use '~@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$calvert-pedagogy-primary: mat.define-palette(mat.$indigo-palette);
$calvert-pedagogy-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$calvert-pedagogy-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$calvert-pedagogy-theme: mat.define-light-theme((
  color: (
    primary: $calvert-pedagogy-primary,
    accent: $calvert-pedagogy-accent,
    warn: $calvert-pedagogy-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($calvert-pedagogy-theme);
@import "~@angular/material/prebuilt-themes/indigo-pink.css";

@import 'themes';

@import '~@nebular/theme/styles/globals';

@include nb-install() {
  @include nb-theme-global();
};
/* You can add global styles to this file, and also import other style files */

html, body 
{ 
  height: 100%;
  .nb-theme-default {
    --font-family-primary: 'Montserrat', sans-serif !important;
    --input-text-font-family:'Montserrat', sans-serif !important;
    --sidebar-padding:0px !important;
  }
}
h2,h1,h3,h5,h6{
  font-family: 'Montserrat', sans-serif !important;
}

/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';
